%h3.page-title
  = t("dashboard_section.dashboard_my_projects")
.pull-right
  .dropdown.inline
    %a.dropdown-toggle.btn.btn-small{href: '#', "data-toggle" => "dropdown"}
      %span.light sort:
      - if @sort.present?
        = @sort.humanize
      - else
        = t("dashboard_section.dashboard_project_name")
      %b.caret
    %ul.dropdown-menu
      %li
        = link_to projects_dashboard_filter_path(sort: nil) do
          = t("dashboard_section.dashboard_project_name")
        = link_to projects_dashboard_filter_path(sort: 'newest') do
          = t("dashboard_section.dashboard_project_newest")
        = link_to projects_dashboard_filter_path(sort: 'oldest') do
          = t("dashboard_section.dashboard_project_oldest")
        = link_to projects_dashboard_filter_path(sort: 'recently_updated') do
          = t("dashboard_section.dashboard_recently_updated")
        = link_to projects_dashboard_filter_path(sort: 'last_updated') do
          = t("dashboard_section.dashboard_last_updated")
%p.light
  = t("dashboard_section.dashboard_project_list_notification")
%hr
.row
  .col-md-3.hidden-sm.hidden-xs.side-filters
    = render "projects_filter"
  .col-md-9
    %ul.bordered-list.my-projects.top-list
      - @projects.each do |project|
        %li.my-project-row
          %h4.project-title
            .project-access-icon
              = visibility_level_icon(project.visibility_level)
            = link_to project_path(project), class: dom_class(project) do
              = project.name_with_namespace

            - if current_user.can_leave_project?(project)
              .pull-right
                = link_to leave_project_team_members_path(project), data: { confirm: "Leave project?"}, method: :delete, remote: true, class: "btn-tiny btn remove-row", title: 'Leave project' do
                  %i.icon-signout
                  = t("dashboard_section.dashboard_leave_project")

            - if project.forked_from_project
              %small.pull-right
                %i.icon-code-fork
                = t("dashboard_section.dashboard_forked_project")
                = link_to project.forked_from_project.name_with_namespace, project_path(project.forked_from_project)
          .project-info
            .pull-right
              - if project.archived?
                %span.label
                  %i.icon-archive
                  = t("dashboard_section.dashboard_archived_project")
              - project.labels.each do |label|
                %span.label.label-info
                  %i.icon-tag
                  = label.name
            - if project.description.present?
              %p= truncate project.description, length: 100
            .last-activity
              %span.light= t("dashboard_section.dashboard_last_active")
              %span.date= project_last_activity(project)


        - if @projects.blank?
          %li
            .nothing-here-block
              = t("dashboard_section.dashboard_nothing_here")
    .bottom
      = paginate @projects, theme: "gitlab"

